import type { _NSString } from "./NSString.js";
import type { _NSXMLNode } from "./NSXMLNode.js";
import type { NSXMLDTDNodeKind } from "./NSXMLDTDNodeKind.js";
import type { NSXMLNodeKind } from "./NSXMLNodeKind.js";
import type { NSXMLNodeOptions } from "./NSXMLNodeOptions.js";
export declare class _NSXMLDTDNode extends _NSXMLNode {
    static alloc(): _NSXMLDTDNode;
    static new(): _NSXMLDTDNode;
    initWithXMLString$(string_: _NSString): _NSXMLDTDNode | null;
    initWithKind$options$(kind: NSXMLNodeKind, options: NSXMLNodeOptions): _NSXMLDTDNode;
    init(): _NSXMLDTDNode;
    /** @method addChild: @abstract Adds a child to the end of the existing children. */
    DTDKind(): NSXMLDTDNodeKind;
    setDTDKind$(value: NSXMLDTDNodeKind): void;
    external(): boolean;
    publicID(): _NSString | null;
    setPublicID$(value: _NSString | null): void;
    systemID(): _NSString | null;
    setSystemID$(value: _NSString | null): void;
    notationName(): _NSString | null;
    setNotationName$(value: _NSString | null): void;
}
